## gtk-theme-config 1.0

=== Makefile ===
CC=valac
CFLAGS=--pkg gtk+-3.0
LDFLAGS=-X -lm
SOURCE=gtk-theme-config.vala
BINARY=gtk-theme-config
ICON=gtk-theme-config.svg
DESKTOPFILE=gtk-theme-config.desktop
GTK_UPDATE_ICON_CACHE=gtk-update-icon-cache -f -t
CLEAN=rm -f
INSTALL=install
INSTALL_PROGRAM=$(INSTALL) -Dpm 0755
INSTALL_DATA=$(INSTALL) -Dpm 0644

all: $(BINARY)

$(BINARY): $(SOURCE)
	$(CC) $(CFLAGS) $(LDFLAGS) $(SOURCE) -o $(BINARY)

clean:
	$(CLEAN) $(BINARY)

install: all
	$(INSTALL_PROGRAM) $(BINARY) $(DESTDIR)/usr/bin/$(BINARY)
	$(INSTALL_DATA) $(ICON) $(DESTDIR)/usr/share/icons/hicolor/scalable/apps/$(ICON)
	$(INSTALL_DATA) $(DESKTOPFILE) $(DESTDIR)/usr/share/applications/$(DESKTOPFILE)
	@-if test -z $(DESTDIR); then $(GTK_UPDATE_ICON_CACHE) $(DESTDIR)/usr/share/icons/hicolor; fi

uninstall:
	$(CLEAN) $(DESTDIR)/usr/bin/$(BINARY)
	$(CLEAN) $(DESTDIR)/usr/share/icons/hicolor/scalable/apps/$(ICON)
	$(CLEAN) $(DESTDIR)/usr/share/applications/$(DESKTOPFILE)
	@-if test -z $(DESTDIR); then $(GTK_UPDATE_ICON_CACHE) $(DESTDIR)/usr/share/icons/hicolor; fi

=== debian/changelog ===
gtk-theme-config (1.0-1) unstable; urgency=low

  * Initial release (Closes: #717888)

 -- Micah Gersten <micahg@ubuntu.com>  Tue, 27 Aug 2013 20:45:11 -0500

=== debian/control ===
Source: gtk-theme-config
Section: gnome
Priority: optional
Maintainer: Xubuntu Developers <xubuntu-devel@lists.ubuntu.com>
Uploaders:
 Micah Gersten <micahg@ubuntu.com>,
 Simon Steinbeiß <ochosi@shimmerproject.org>,
 Lionel Le Folgoc <mrpouit@gmail.com>
Build-Depends:
 debhelper (>= 9),
 dpkg-dev (>= 1.16.1.1~),
 libglib2.0-dev,
 libgtk-3-dev (>= 3.4.2),
 valac (>= 0.16.1)
Standards-Version: 3.9.4
Homepage: https://github.com/satya164/gtk-theme-config
Vcs-Bzr: lp:~gtk-theme-config-maintainers/gtk-theme-config/debian
Vcs-Browser: http://bazaar.launchpad.net/~gtk-theme-config-maintainers/gtk-theme-config/debian/files

Package: gtk-theme-config
Architecture: any
Depends: gconf2, gsettings-desktop-schemas, ${misc:Depends}, ${shlibs:Depends}
Recommends: xfconf
Description: simple interface to change GTK+ themes
 Change some basic elements of a GTK+ theme easily (both GTK2 and GTK3)
 with a simple interface.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
VALAFLAGS:=$(foreach w,$(CPPFLAGS) $(CFLAGS) $(LDFLAGS),-X $(w))

%:
	dh $@

override_dh_auto_build:
	dh_auto_build -- VALAFLAGS='$(VALAFLAGS)'

=== debian/watch ===
version=3
opts=filenamemangle=s/.+\/v?(.*)\.tar\.gz/<project>-$1.tar.gz/ \
  https://github.com/satya164/gtk-theme-config/tags .*/v?(\d[\d\.]+)\.tar\.gz

## gtk-theme-config 1.2

=== Makefile ===
VERSION=0.1
CC=valac
CFLAGS=--pkg gtk+-3.0 --pkg libnotify
LDFLAGS=-X -lm
GETTEXT_PACKAGE=gtk-theme-config
LOCALES_DIR=/usr/share/locale
VALAFLAGS=-X -DGETTEXT_PACKAGE=\"$(GETTEXT_PACKAGE)\"
SOURCE=gtk-theme-config.vala
BINARY=gtk-theme-config
ICON=gtk-theme-config.svg
DESKTOPFILE=gtk-theme-config.desktop
APPDATA=gtk-theme-config.appdata.xml
GTK_UPDATE_ICON_CACHE=gtk-update-icon-cache -f -t
CLEAN=rm -f
INSTALL=install
INSTALL_PROGRAM=$(INSTALL) -Dpm 0755
INSTALL_DATA=$(INSTALL) -Dpm 0644

all: $(BINARY)

$(BINARY): $(SOURCE)
	$(CC) $(VALAFLAGS) $(CFLAGS) $(LDFLAGS) $(SOURCE) -o $(BINARY)

clean:
	$(CLEAN) $(BINARY)

install: all mo
	$(INSTALL_PROGRAM) $(BINARY) $(DESTDIR)/usr/bin/$(BINARY)
	$(INSTALL_DATA) $(ICON) $(DESTDIR)/usr/share/icons/hicolor/scalable/apps/$(ICON)
	$(INSTALL_DATA) $(DESKTOPFILE) $(DESTDIR)/usr/share/applications/$(DESKTOPFILE)
	$(INSTALL_DATA) $(APPDATA) $(DESTDIR)/usr/share/appdata/$(APPDATA)
	@-if test -z $(DESTDIR); then $(GTK_UPDATE_ICON_CACHE) $(DESTDIR)/usr/share/icons/hicolor; fi

uninstall:
	$(CLEAN) $(DESTDIR)/usr/bin/$(BINARY)
	$(CLEAN) $(DESTDIR)/usr/share/icons/hicolor/scalable/apps/$(ICON)
	$(CLEAN) $(DESTDIR)/usr/share/applications/$(DESKTOPFILE)
	$(CLEAN) $(DESTDIR)/usr/share/appdata/$(APPDATA)
	@-if test -z $(DESTDIR); then $(GTK_UPDATE_ICON_CACHE) $(DESTDIR)/usr/share/icons/hicolor; fi
	for folder in $(LOCALES_DIR)/*; do \
		file=$$folder/LC_MESSAGES/$(GETTEXT_PACKAGE).mo; \
		if [[ -f $$file ]]; then \
			$(CLEAN) $$file; \
			echo "Removing $$file"; \
		fi \
	done

pot:
	xgettext -d $(GETTEXT_PACKAGE) -o po/$(GETTEXT_PACKAGE).pot $(SOURCE) --keyword="_" \
		--from-code=UTF-8 --package-name=$(GETTEXT_PACKAGE) --package-version=$(VERSION)

mo: pot
	for po_file in po/*.po; do \
		if [[ -f $$po_file ]]; then \
			out_file=$(LOCALES_DIR)/$$(echo $$po_file | sed "s/^po\/\(.*\)\.po/\1/")/LC_MESSAGES/$(GETTEXT_PACKAGE).mo; \
			msgfmt -o $$out_file $$po_file; \
			echo "Installing $$out_file"; \
		fi \
	done

=== debian/changelog ===
gtk-theme-config (1.2-0ubuntu1) utopic; urgency=medium

  * New upstream bugfix and translations release
    - Fixes sound-indicator theme config (lp: #1313011)
  * debian/control:
    - Add libnotify-dev and intltool to BuildDepends
    - Update Homepage to Launchpad
  * debian/rules:
    - Fix building with translations.
  * debian/patches/include-system-flags.patch:
    - Dropped, included upstream.
  * debian/patches/01_desktop_locales.patch:
    - Make desktop file translatable
  * debian/patches/02_makefile_fixes.patch:
    - Added to make build successful with Debian packaging.

 -- Sean Davis <smd.seandavis@gmail.com>  Sun, 07 Sep 2014 07:55:48 -0400

=== debian/control ===
--- 
+++ 
@@ -9,11 +9,13 @@
 Build-Depends:
  debhelper (>= 9),
  dpkg-dev (>= 1.16.1.1~),
+ intltool,
  libglib2.0-dev,
  libgtk-3-dev (>= 3.4.2),
+ libnotify-dev,
  valac (>= 0.16.1)
-Standards-Version: 3.9.4
-Homepage: https://github.com/satya164/gtk-theme-config
+Standards-Version: 3.9.5
+Homepage: https://launchpad.net/gtk-theme-config
 Vcs-Bzr: lp:~gtk-theme-config-maintainers/gtk-theme-config/debian
 Vcs-Browser: http://bazaar.launchpad.net/~gtk-theme-config-maintainers/gtk-theme-config/debian/files

## gtk-theme-config 1.2.1

=== Makefile ===
--- 
+++ 
@@ -3,7 +3,7 @@
 CFLAGS=--pkg gtk+-3.0 --pkg libnotify
 LDFLAGS=-X -lm
 GETTEXT_PACKAGE=gtk-theme-config
-LOCALES_DIR=/usr/share/locale
+LOCALES_DIR=$(DESTDIR)/usr/share/locale
 VALAFLAGS=-X -DGETTEXT_PACKAGE=\"$(GETTEXT_PACKAGE)\"
 SOURCE=gtk-theme-config.vala
 BINARY=gtk-theme-config
@@ -15,6 +15,7 @@
 INSTALL=install
 INSTALL_PROGRAM=$(INSTALL) -Dpm 0755
 INSTALL_DATA=$(INSTALL) -Dpm 0644
+SHELL=/bin/bash
 
 all: $(BINARY)
 
@@ -24,7 +25,7 @@
 clean:
 	$(CLEAN) $(BINARY)
 
-install: all mo
+install: all mo desktop
 	$(INSTALL_PROGRAM) $(BINARY) $(DESTDIR)/usr/bin/$(BINARY)
 	$(INSTALL_DATA) $(ICON) $(DESTDIR)/usr/share/icons/hicolor/scalable/apps/$(ICON)
 	$(INSTALL_DATA) $(DESKTOPFILE) $(DESTDIR)/usr/share/applications/$(DESKTOPFILE)
@@ -52,9 +53,12 @@
 mo: pot
 	for po_file in po/*.po; do \
 		if [[ -f $$po_file ]]; then \
+			install -d $(LOCALES_DIR)/$$(echo $$po_file | sed "s/^po\/\(.*\)\.po/\1/")/LC_MESSAGES/; \
 			out_file=$(LOCALES_DIR)/$$(echo $$po_file | sed "s/^po\/\(.*\)\.po/\1/")/LC_MESSAGES/$(GETTEXT_PACKAGE).mo; \
 			msgfmt -o $$out_file $$po_file; \
 			echo "Installing $$out_file"; \
 		fi \
 	done
 
+desktop: pot
+	intltool-merge -d po $(DESKTOPFILE).in $(DESKTOPFILE)

=== debian/changelog ===
gtk-theme-config (1.2.1-0ubuntu1) wily; urgency=medium

  * New upstream bugfix and translations release
    - Fixes destructive config file editing (lp: #1473821)
  * debian/patches:
    - All patches dropped, included upstream.
  * debian/control:
    - No change update to Standards-Version 3.9.6
  * debian/watch:
    - Update to point to current upstream releases

 -- Sean Davis <smd.seandavis@gmail.com>  Thu, 08 Oct 2015 06:11:56 -0400

=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
  libgtk-3-dev (>= 3.4.2),
  libnotify-dev,
  valac (>= 0.16.1)
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Homepage: https://launchpad.net/gtk-theme-config
 Vcs-Bzr: lp:~gtk-theme-config-maintainers/gtk-theme-config/debian
 Vcs-Browser: http://bazaar.launchpad.net/~gtk-theme-config-maintainers/gtk-theme-config/debian/files

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
VALAFLAGS:=-X -DGETTEXT_PACKAGE=\"gtk-theme-config\"

%:
	dh $@

override_dh_auto_build:
	dh_auto_build -- VALAFLAGS='$(VALAFLAGS)'

## gtk-theme-config 1.2.2

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-VERSION=0.1
+VERSION=1.2.2
 CC=valac
 CFLAGS=--pkg gtk+-3.0 --pkg libnotify
 LDFLAGS=-X -lm

=== debian/changelog ===
gtk-theme-config (1.2.2-1) unstable; urgency=medium

  [ Sean Davis ]
  * New upstream bugfix and translations release.
    - Fixes destructive config file editing (Closes: #791548, LP: #1473821)
  * debian/control:
    - Update to Standards-Version 3.9.6
    - Update Homepage to Launchpad
    - Add libnotify-dev and intltool to BuildDepends
    - Add self to Uploaders
  * debian/rules:
    - Fix building with translations.
  * debian/patches/include-system-flags.patch:
    - Dropped, included upstream.
  * debian/watch:
    - Update to point to current upstream releases

  [ Unit 193 ]
  * New upstream release.
    - Fixes theming in Unity 7 (LP: #1315262)
    - Fixes gtk.css generation (LP: #1500210)
  * Update to Standards-Version 4.0.0.
  * d/control, d/compat: Update to use debhelper compat 10.
  * d/control:
    - Update Vcs-Browser: http → https.
    - Add myself and sort Uploaders.
    - Remove Lionel Le Folgoc and Micah Gersten from Uploaders,
      thanks for all your work!
    - Drop versioned build-depends satisfied in stable.
  * d/copyright:
    - Update Format header: http → https.
    - Update the 'Source' field to point to the LP project.
    - Update the files sections, bring everything up to date.
  * d/rules: Pass CFLAGS/LDFLAGS to valac.

 -- Unit 193 <unit193@ubuntu.com>  Fri, 07 Jul 2017 09:07:13 -0400

=== debian/control ===
Source: gtk-theme-config
Section: gnome
Priority: optional
Maintainer: Xubuntu Developers <xubuntu-devel@lists.ubuntu.com>
Uploaders:
 Sean Davis <smd.seandavis@gmail.com>,
 Simon Steinbeiß <ochosi@shimmerproject.org>,
 Unit 193 <unit193@ubuntu.com>
Build-Depends:
 debhelper (>= 10),
 intltool,
 libglib2.0-dev,
 libgtk-3-dev,
 libnotify-dev,
 valac
Standards-Version: 4.0.0
Homepage: https://launchpad.net/gtk-theme-config
Vcs-Bzr: lp:~gtk-theme-config-maintainers/gtk-theme-config/debian
Vcs-Browser: https://bazaar.launchpad.net/~gtk-theme-config-maintainers/gtk-theme-config/debian/files

Package: gtk-theme-config
Architecture: any
Depends: gconf2, gsettings-desktop-schemas, ${misc:Depends}, ${shlibs:Depends}
Recommends: xfconf
Description: simple interface to change GTK+ themes
 Change some basic elements of a GTK+ theme easily (both GTK2 and GTK3)
 with a simple interface.

=== debian/rules ===
--- 
+++ 
@@ -3,6 +3,7 @@
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
 VALAFLAGS:=-X -DGETTEXT_PACKAGE=\"gtk-theme-config\"
+VALAFLAGS+=$(foreach w,$(CPPFLAGS) $(CFLAGS) $(LDFLAGS),-X $(w))
 
 %:
 	dh $@

=== debian/watch ===
version=3
opts=pgpsigurlmangle=s/$/.asc/ \
https://launchpad.net/gtk-theme-config \
(?:.*/|)gtk-theme-config(?:-|_|_v|\.|V|)(\d\S*)\.(?:tar\.(?:gz|bz2|xz)|tgz|tbz2|txz|zip)
